-module(xml_group_test).

-export([invalid_xml_group_test/0]).

read_xml(FileName) ->
    io:format("0~n", []),
    {ok, Schema} = xmerl_xsd:process_schema("ivr.xsd"),
    io:format("1~n", []),
    {ok, BXml} = file:read_file(FileName),
    io:format("2~n", []),
    Xml = erlang:binary_to_list(BXml),
    io:format("3~n", []),
    {XmerXml, _} = xmerl_scan:string(Xml),
    io:format("4~n", []),
    xmerl_xsd:validate(XmerXml, Schema).
%%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
invalid_xml_group_test() ->
    Result = read_xml("group.xml"),
    io:format("~p~n", [Result]).
%%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

